
#ifndef CAMERA_CIRCLE_H
#define CAMERA_CIRCLE_H

#include "CameraWalk.h"

class CameraCircle : public CameraWalk
{
public:
    CameraCircle();

    virtual void Reset();

    virtual void Advance(const CFlyCamera& camera, const FLOAT fSecs);

protected:

    virtual D3DXVECTOR3 GetTravelDirection(const D3DXVECTOR3& eye, const D3DXVECTOR3& lookAt) const;

    void ResetAll();
    D3DXVECTOR3 MoveToCircle(const D3DXVECTOR3& pos, float rate) const;

    float   m_fRadius;

};

#endif // CAMERA_CIRCLE_H