
#include <windows.h>
#include <d3d11.h>
#include <d3dx11.h>
#include <d3dcompiler.h>
#include <D3DX11.h>

#include <DXUT.h>
#include <DXUTcamera.h>

#include "CameraSave.h"

void CameraSave::Save(CBaseCamera& cam)
{
	FOV = cam.GetFov();
	aspect = cam.GetAspect();
	hither = cam.GetNearClip();
	yon = cam.GetFarClip();
}

void CameraSave::Restore(CBaseCamera& cam)
{
	cam.SetProjParams( FOV, aspect, hither, yon);
}

