
#include "pch.h"

#include "DbgKeyPress.h"

std::vector<DbgKeyPress*> DbgKeyMgr::_dbgKeys;

bool DbgKeyMgr::m_ShiftDown = false;
bool DbgKeyMgr::m_AltDown = false;
bool DbgKeyMgr::m_ControlDown = false;


void DbgKeyMgr::Update()
{
    for(int i = 0; i < _dbgKeys.size(); ++i)
    {
        _dbgKeys[i]->Update();
    }

    m_ShiftDown = (GetAsyncKeyState(VK_SHIFT) & 0x8000) != 0;
    m_ControlDown = (GetAsyncKeyState(VK_CONTROL) & 0x8000) != 0;
    m_AltDown = (GetAsyncKeyState(VK_MENU) & 0x8000) != 0;
}

