
#include "pch.h"

#include "SpawnCmd.h"

bool SpawnCmd::Spawn(const WCHAR* cmd, const WCHAR* cmdLineIn)
{
    bool ret = true;

    STARTUPINFO startupInfo;
    ZeroMemory(&startupInfo, sizeof(startupInfo));
    startupInfo.cb = sizeof(startupInfo);
    //startupInfo.dwFlags = STARTF_USESHOWWINDOW;
    //startupInfo.wShowWindow = SW_HIDE;

    const LPSECURITY_ATTRIBUTES procAttr = NULL;
    const LPSECURITY_ATTRIBUTES threadAttr = NULL;
    const BOOL inheritHandles = FALSE;

    const DWORD createFlags = CREATE_NO_WINDOW;
    //const DWORD createFlags = CREATE_NEW_CONSOLE;

    LPVOID env = NULL;
    LPCTSTR startDir = NULL;

    PROCESS_INFORMATION pi;
    ZeroMemory(&pi, sizeof(pi));

    LPWSTR cmdLine = _wcsdup(cmdLineIn);
    if(!CreateProcessW(cmd, cmdLine,
        procAttr,
        threadAttr,
        inheritHandles,
        createFlags,
        env,
        startDir,
        &startupInfo,
        &pi))
    {
        return false;
    }
    WaitForSingleObject(pi.hProcess, INFINITE);

    CloseHandle(pi.hProcess);
    CloseHandle(pi.hThread);
    return ret;
}