
#ifndef SCAPE_H
#define SCAPE_H

#include "Object.h"

class Scape : public Object
{
public:
    virtual ~Scape() {}

public:
    virtual bool QueryHeight(const D3DXVECTOR2& xyLoc, float& height, D3DXVECTOR3& normal) = 0;

    virtual void SetChessBoard(float squareSize) {}

    static bool GetEnableDraw() { return s_bEnableDraw; }
    static void SetEnableDraw(bool b) { s_bEnableDraw = b; }

private:
    static bool s_bEnableDraw;
};

#endif //  SCAPE_H
