
#ifndef PARAMETRIC_3D_GRID_FX
#define PARAMETRIC_3D_GRID_FX

#include "Parametric3DSurface.fx"

PS_INPUT_HARDWARE VS_Hardware_ProfileProduct(const VSHARDWARE_INPUT input)
{
	float2 domainPoint = DomainPoint(input);

    PARAMETRICSURFACE3D_OUTPUT surfacePoint = ProfileProduct_EvaluateInterp(domainPoint);
    
    return VS_Hardware(surfacePoint, domainPoint);
}

PS_INPUT_HARDWARE VS_Hardware_SurfaceOfRevolution(const VSHARDWARE_INPUT input)
{
	float2 domainPoint = DomainPoint(input);

    PARAMETRICSURFACE3D_OUTPUT surfacePoint = SurfaceOfRevolution_EvaluateInterp(domainPoint);
    
    return VS_Hardware(surfacePoint, domainPoint);
}


PS_INPUT_HARDWARE VS_Hardware_WireProduct(const VSHARDWARE_INPUT input)
{
	float2 domainPoint = DomainPoint(input);

    PARAMETRICSURFACE3D_OUTPUT surfacePoint = WireProduct_EvaluateInterp(domainPoint);
    
    return VS_Hardware(surfacePoint, domainPoint);
}

#endif // PARAMETRIC_3D_GRID_FX