
#ifndef BLIT_ENV_MAP_H
#define BLIT_ENV_MAP_H

#include "../FauxV8Kit/BlitQuad.h"

class BlitEnvMap : public BlitQuad
{
public:

private:
	struct ConstantBuffer
	{
		D3DXVECTOR4		scaleOffDst;

        D3DXMATRIX      mNDCToWorld;

        D3DXVECTOR4     eyePosition;
	};

protected:

	virtual HRESULT InitConstantBuffers(ID3D11Device* pd3dDevice);
	virtual void SetConstants(ID3D11DeviceContext* immediateContext, ID3D11ShaderResourceView* baseTex);

};

#endif // BLIT_ENV_MAP_H
