
#ifndef CAMERA_MODE_SELECT_H
#define CAMERA_MODE_SELECT_H

class CameraMode;

class CameraModeSelect
{
public:
    enum eCameraModes
    {
        kDrive,
        kWalk,
        kCircle,
        kRandom,
        kPan,

        kNumModes
    };

    static CameraMode* Create(eCameraModes mode);
    static const WCHAR* Name(eCameraModes mode);

    // Delete mode if non-null. Always returns null.
    static CameraMode* Delete(CameraMode* mode);
};

#endif // CAMERA_MODE_SELECT_H

