
#ifndef CAMERA_PAN_H
#define CAMERA_PAN_H

#include "CameraRandom.h"

class CameraPan : public CameraRandom
{
public:

    CameraPan();

    virtual void Advance(const CFlyCamera& camera, const FLOAT fSecs);

    static float GetFrequency() { return m_fFrequency; }
    static void SetFrequency(float f) { m_fFrequency = f; }

    static float GetAmplitude() { return m_fAmplitude; }
    static void SetAmplitude(float f) { m_fAmplitude = f; }
private:

    double m_dTotalTime;

    static float m_fFrequency;
    static float m_fAmplitude;
};

#endif // CAMERA_PAN_H