
#ifndef CULL_VOLUME_H
#define CULL_VOLUME_H

#include "../Objects/Object.h"

class CullVolume
{
public:

    CullVolume() {}

    void Setup(const D3DXMATRIX& localToNDC);

    float CheckDist(const D3DXVECTOR3& worldPos) const;

    D3DXVECTOR2 CheckDist(const D3DXVECTOR3* const worldPositions, int num) const;
private:
    D3DXVECTOR4 planes[6];
};

#endif // CULL_VOLUME_H
